Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

playbackId
string

The playback ID to filter the query results. This can be a canonical playback ID from Livepeer assets or streams, or dStorage identifiers for assets

creatorId
string

The creator ID to filter the query results

breakdownBy[]
enum<string>[]

The list of fields to break down the query results. Specify this query-string multiple times to break down by multiple fields.

Available options:
playbackId,
device,
browser,
country

Response

A list of Metric objects

viewCount
integer
required

The number of views for the stream/asset.

Example:

100

errorRate
number
required

The error rate for the stream/asset.

Example:

0.1

playbackId
string

The playback ID associated with the metric.

Example:

"1bde4o2i6xycudoy"

device
string

The device used by the viewer.

Example:

"iPhone"

browser
string

The browser used by the viewer.

Example:

"Safari"

country
string

The country where the viewer is located.

Example:

"United States"

Last modified on March 18, 2026